package com.bankaudit.service;

import java.util.List;

import com.bankaudit.dto.DataTableResponse;
import com.bankaudit.model.MaintControlOperatingEffectiveness;

public interface MaintControlOperatingEffectivenessService {
	void createMaintControlOperatingEffectiveness(MaintControlOperatingEffectiveness maintControlOperatingEffectiveness)throws Exception;
	
	void updateMaintControlOperatingEffectiveness(MaintControlOperatingEffectiveness maintControlOperatingEffectiveness);
	
	MaintControlOperatingEffectiveness getControlOperatingEffByCodeAndType(Integer legalEntityCode,String controlOperatingEffCode,
			String controlOperatingEffType,String status);
	
	List<MaintControlOperatingEffectiveness> getControlOperatingEffByType(Integer legalEntityCode ,String controlOperatingEffType);
	
	DataTableResponse getAllMaintControlOperatingEffectiveness(String search, Integer orderColumn, String orderDirection, Integer page,
			Integer size,Integer legalEntityCode);
	
	Boolean isMaintControlOperatingEffectiveness(Integer legalEntityCode, String controlOperatingEffCode, String controlOperatingEffType);
	
	Boolean validateScore(MaintControlOperatingEffectiveness maintControlOperatingEffectiveness);
	
	List<MaintControlOperatingEffectiveness> getMaintControlOperatingEffectiveness(Integer legalEntityCode);
}
